Bug 104111 - FILEOPEN RTF: Three red dots appear if a textbox is placed in a drawing canvas
Summary: FILEOPEN RTF: Three red dots appear if a textbox is placed in a drawing canvas
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf, notBibisectable, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-11-22 13:43 UTC by Telesto
Modified: 2019-06-06 02:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (17.73 KB, text/rtf)
2016-11-22 13:44 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-11-22 13:43:44 UTC
Description:
Three red dots appear in the left upper corner, if a textbox is placed in a drawing canvas

Steps to Reproduce:
1.Open example file


Actual Results:  
Three red dots appear

Expected Results:
No dots at all


Reproducible: Always

User Profile Reset: YES

Additional Info:
Found in:
Version: 5.3.0.0.alpha1+
Build ID: 02ec51c7e0bf9320b32ec73233ecaaf160448776
CPU Threads: 4; OS Version: Windows 6.2; UI Render: GL; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-20_23:12:18
Locale: nl-NL (nl_NL); Calc: CL

and
Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-11-22 13:44:08 UTC
Created attachment 128944 [details]
Example file
Comment 2 Xisco Faulí 2016-11-22 15:55:20 UTC
Confirmed in

Version: 5.3.0.0.alpha1+
Build ID: 4ebf1ea7cb66fc3e6b94cd38dd233aaead69f3d5
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Text 'Hello World' can be seen in

Version: 4.3.0.0.alpha0+
Build ID: 3c0a7cf4f67720f2cca2c4eb543f838d5b644e7f

thus, this is a regression
Comment 3 Xisco Faulí 2016-11-22 15:59:34 UTC
In comment 2 I meant that the three red dots can't be seen in

Version: 4.3.0.0.alpha0+
Build ID: 3c0a7cf4f67720f2cca2c4eb543f838d5b644e7f
Comment 4 Xisco Faulí 2017-03-10 14:38:40 UTC
Reproduced in

Version: 4.5.0.0.alpha0+
Build ID: 2851ce5afd0f37764cbbc2c2a9a63c7adc844311
Locale: ca_ES
Comment 5 Aron Budea 2017-04-01 20:21:00 UTC
Hm, in 4.4.0.3 the three dots are already there, and in 4.3.0.4 it gives:
"General Error. General input/output error."
Probably not worth bibisecting.
Comment 6 QA Administrators 2018-04-02 02:27:53 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2018-06-05 17:31:22 UTC
After dozens of skipped commits with bibisect_win_44, I declare this notBibisectable
Comment 8 QA Administrators 2019-06-06 02:54:39 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug